# Class CapacitorHelper

- Defined in utils/capacitor-helper.ts:32

##### Index

### Constructors

constructor

### Properties

appName
appVersion
buildDir
buildType
iosParams?
isAndroid
isIOS
isUnsecureKeyStore
keyStoreAlias
keyStoreFile
keyStorePassword
platforms
serverURL
useDocker?

### Methods

addPlatforms
buildApp
capSync
generateAssets
tryCopyAppFiles

## Constructors

### constructor

- new CapacitorHelper(cfg: CapacitorCfg): CapacitorHelper

  #### Parameters

  - cfg: CapacitorCfg

  #### Returns CapacitorHelper

  - Defined in utils/capacitor-helper.ts:50

## Properties

### appName

appName: string

- Defined in utils/capacitor-helper.ts:36

### appVersion

appVersion: string

- Defined in utils/capacitor-helper.ts:37

### buildDir

buildDir: string

- Defined in utils/capacitor-helper.ts:33

### buildType

buildType: "release" | "debug"

- Defined in utils/capacitor-helper.ts:35

### `Optional` iosParams

iosParams?: IosCfg

- Defined in utils/capacitor-helper.ts:48

### isAndroid

isAndroid: boolean

- Defined in utils/capacitor-helper.ts:46

### isIOS

isIOS: boolean

- Defined in utils/capacitor-helper.ts:47

### isUnsecureKeyStore

isUnsecureKeyStore: boolean

- Defined in utils/capacitor-helper.ts:44

### keyStoreAlias

keyStoreAlias: string

- Defined in utils/capacitor-helper.ts:42

### keyStoreFile

keyStoreFile: string

- Defined in utils/capacitor-helper.ts:41

### keyStorePassword

keyStorePassword: string

- Defined in utils/capacitor-helper.ts:43

### platforms

platforms: string[]

- Defined in utils/capacitor-helper.ts:34

### serverURL

serverURL: string

- Defined in utils/capacitor-helper.ts:38

### `Optional` useDocker

useDocker?: boolean

- Defined in utils/capacitor-helper.ts:40

## Methods

### addPlatforms

- addPlatforms(): void

  #### Returns void

  - Defined in utils/capacitor-helper.ts:148

### buildApp

- buildApp(): Promise<void>

  #### Returns Promise<void>

  - Defined in utils/capacitor-helper.ts:67

### capSync

- capSync(): void

  #### Returns void

  - Defined in utils/capacitor-helper.ts:365

### generateAssets

- generateAssets(): void

  #### Returns void

  - Defined in utils/capacitor-helper.ts:188

### tryCopyAppFiles

- tryCopyAppFiles(copyDir: string, user: User, appName?: string): void

  #### Parameters

  - copyDir: string
  - user: User
  - `Optional` appName: string

  #### Returns void

  - Defined in utils/capacitor-helper.ts:92